CanvasRenderingContext2D.clip() 是 Canvas 2D API 将当前创建的路径设置为当前剪切路径的方法。
语法
void ctx.clip(); void ctx.clip(fillRule); void ctx.clip(path, fillRule);
参数

fillRule- 这个算法判断一个点是在路径内还是在路径外。
允许的值: path- 需要剪切的
Path2D路径。
示例
使用 clip 方法
这是一段简单的代码片段,使用 clip 方法创建剪切区域。
HTML
<canvas id="canvas"></canvas>
JavaScript
var canvas = document.getElementById("canvas");
var ctx = canvas.getContext("2d");
// Create clipping region
ctx.arc(100, 100, 75, 0, Math.PI*2, false);
ctx.clip();
ctx.fillRect(0, 0, 100,100);
修改下面的代码并在线查看 canvas 的变化:
规范描述
| Specification | Status | Comment |
|---|---|---|
| WHATWG HTML Living Standard CanvasRenderingContext2D.clip |
Living Standard |
浏览器兼容性
| Feature | Chrome | Firefox (Gecko) | Internet Explorer | Opera | Safari |
|---|---|---|---|---|---|
| Basic support | (Yes) | (Yes) | (Yes) | (Yes) | (Yes) |
| Path parameter | ? | 31 (31) | 未实现 | ? | 未实现 |
| Feature | Android | Chrome for Android | Firefox Mobile (Gecko) | IE Mobile | Opera Mobile | Safari Mobile |
|---|---|---|---|---|---|---|
| Basic support | (Yes) | (Yes) | (Yes) | (Yes) | (Yes) | (Yes) |
| Path parameter | ? | ? | 31.0 (31) | ? | ? | ? |
参见
- 接口定义,
CanvasRenderingContext2D.